<?php
include_once("c_setting_member.php");
class c_page_cab_setting_member_db extends c_page_cab_setting_member
{
  public $h1='Дамп записи по аккаунту' ;


    function second_menu_config()
     { if ($this->rec_member['pkey'] and _CUR_ROOT_DIR_NAME=='window')
       { $this->second_menu[$this->rec_member['__href_window'].'db/']=array('title'=>'Дамп записи','class'=>'fa fa-user-md') ;
         $this->second_menu[$this->rec_member['__href_window'].'db/personals/']=array('title'=>'Тест персонала','class'=>'fa fa-user-md') ;
       }
     }

 function block_main()
 { $this->page_title() ;
   ?><h2>Дамп записи в БД</h2><?
   $recs['db_rec']=execSQL_van('select * from obj_site_account where pkey='.$this->rec_member['pkey']) ;
   $recs['viewer']=execSQL_van('select * from view_account where pkey='.$this->rec_member['pkey']) ;
   $recs['public']=ACCOUNTS()->get_member_by_id($this->rec_member['pkey'],array('debug'=>1)) ;
   //$recs['object']=MEMBER() ;
   print_2x_arr($recs) ;
   ?><h2>Дамп аккаунта</h2><?
   damp_array($this->rec_member,1,-1) ;
   if ($this->rec_member['pkey']==MEMBER()->id)
   { ?><h2>Дамп MEMBER()</h2><?
       damp_array(MEMBER(),1,-1) ;
   }

   ?><button class="v2" cmd="aspmo_setting/account_remove" account_id="<?echo $this->rec_member['pkey']?>">Удалить аккаунт</button><?
   ?><button class="v2" cmd="aspmo_setting/account_sert_remove" account_id="<?echo $this->rec_member['pkey']?>">Удалить информацию по сертификату</button><?
}

}



?>
